Package tigase.xmpp

## Class XMPPProcessorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.xmpp.XMPPException
      - - tigase.xmpp.XMPPProcessorException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ComponentException`

      public class XMPPProcessorException
      extends XMPPException

  Created by bmalkow on 18.04.2017.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMPPProcessorException​(Authorization errorCondition)` |
    `XMPPProcessorException​(Authorization errorCondition, java.lang.String text)` |
    `XMPPProcessorException​(Authorization errorCondition, java.lang.String text, java.lang.String message)` |
    `XMPPProcessorException​(Authorization errorCondition, java.lang.String text, java.lang.String message, java.lang.Throwable cause)` |
    `XMPPProcessorException​(Authorization errorCondition, java.lang.String text, java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCode()` |
    `Authorization` | `getErrorCondition()` |
    `protected java.lang.String` | `getErrorMessagePrefix()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.String` | `getMessageWithPosition()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getText()` |
    `java.lang.String` | `getType()` |
    `Packet` | `makeElement​(Packet packet, boolean insertOriginal)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPPProcessorException

          public XMPPProcessorException​(Authorization errorCondition)

    - #### XMPPProcessorException

          public XMPPProcessorException​(Authorization errorCondition,
                                        java.lang.String text)

      Parameters:
        `text` - human readable message will be send to client

    - #### XMPPProcessorException

          public XMPPProcessorException​(Authorization errorCondition,
                                        java.lang.String text,
                                        java.lang.Throwable cause)

    - #### XMPPProcessorException

          public XMPPProcessorException​(Authorization errorCondition,
                                        java.lang.String text,
                                        java.lang.String message)

      Parameters:
        `message` - exception message for logging
        `text` - human readable message will be send to client

    - #### XMPPProcessorException

          public XMPPProcessorException​(Authorization errorCondition,
                                        java.lang.String text,
                                        java.lang.String message,
                                        java.lang.Throwable cause)

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

      Returns:
        Returns the code.

    - #### getErrorCondition

          public Authorization getErrorCondition()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getMessageWithPosition

          public java.lang.String getMessageWithPosition()

    - #### getName

          public java.lang.String getName()

      Returns:
        Returns the name.

    - #### getText

          public java.lang.String getText()

    - #### getType

          public java.lang.String getType()

      Returns:
        Returns the type.

    - #### makeElement

          public Packet makeElement​(Packet packet,
                                    boolean insertOriginal)
                             throws PacketErrorTypeException

      Throws:
        `PacketErrorTypeException`

    - #### getErrorMessagePrefix

          protected java.lang.String getErrorMessagePrefix()